Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChristian W. Damus2018-11-21 09:16:26 -0500
committerPatrick Tessier2018-11-23 13:14:18 -0500
commitf99031e71783b0ad2deee82396d7e43853a8fe4a (patch)
tree2816aa7048d279484efa03d41899202f40c7656f
parent85622a06ebebffe834150106bc0c6dc41e8f88e0 (diff)
downloadorg.eclipse.papyrus-f99031e71783b0ad2deee82396d7e43853a8fe4a.tar.gz
org.eclipse.papyrus-f99031e71783b0ad2deee82396d7e43853a8fe4a.tar.xz
org.eclipse.papyrus-f99031e71783b0ad2deee82396d7e43853a8fe4a.zip
Bug 536405: [NewChild] there is not possibility to add a compound filters in the editor of new child
Follow up with fixes for adherence to Papyrus bundle metadata practices: - don’t add re-exports - increase the API version of the model bundle for genmodel changes Change-Id: I3e1d40c42a039c7cae4ea91728116c550c80d54f Signed-off-by: Christian W. Damus <give.a.damus@gmail.com>
-rw-r--r--plugins/infra/newchild/org.eclipse.papyrus.infra.newchild.edit/META-INF/MANIFEST.MF6
-rw-r--r--plugins/infra/newchild/org.eclipse.papyrus.infra.newchild/.settings/.api_filters11
-rw-r--r--plugins/infra/newchild/org.eclipse.papyrus.infra.newchild/META-INF/MANIFEST.MF2
-rw-r--r--plugins/infra/newchild/org.eclipse.papyrus.infra.newchild/pom.xml2
4 files changed, 16 insertions, 5 deletions
diff --git a/plugins/infra/newchild/org.eclipse.papyrus.infra.newchild.edit/META-INF/MANIFEST.MF b/plugins/infra/newchild/org.eclipse.papyrus.infra.newchild.edit/META-INF/MANIFEST.MF
index 6e7ccbb2390..2ebf6daa301 100644
--- a/plugins/infra/newchild/org.eclipse.papyrus.infra.newchild.edit/META-INF/MANIFEST.MF
+++ b/plugins/infra/newchild/org.eclipse.papyrus.infra.newchild.edit/META-INF/MANIFEST.MF
@@ -1,13 +1,13 @@
Manifest-Version: 1.0
Export-Package: org.eclipse.papyrus.infra.newchild.elementcreationmenumodel.provider
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.12.0,4.0.0)",
- org.eclipse.papyrus.infra.newchild;bundle-version="[4.0.0,5.0.0)";visibility:=reexport,
+ org.eclipse.papyrus.infra.newchild;bundle-version="[4.1.0,5.0.0)",
org.eclipse.emf.edit;bundle-version="[2.12.0,3.0.0)";visibility:=reexport,
org.eclipse.uml2.common.edit;bundle-version="[2.1.0,3.0.0)";visibility:=reexport,
org.eclipse.emf.ecore;bundle-version="[2.12.0,3.0.0)";visibility:=reexport,
org.eclipse.emf.ecore.edit;bundle-version="[2.9.0,3.0.0)";visibility:=reexport,
- org.eclipse.papyrus.infra.types;bundle-version="[4.0.0,5.0.0)";visibility:=reexport,
- org.eclipse.papyrus.infra.types.edit;bundle-version="[4.0.0,5.0.0)";visibility:=reexport,
+ org.eclipse.papyrus.infra.types;bundle-version="[4.0.0,5.0.0)",
+ org.eclipse.papyrus.infra.types.edit;bundle-version="[4.0.0,5.0.0)",
org.eclipse.papyrus.infra.filters;bundle-version="[1.2.0,2.0.0)";visibility:=reexport,
org.eclipse.papyrus.infra.filters.edit;bundle-version="[1.2.0,2.0.0)";visibility:=reexport,
org.eclipse.uml2.types;bundle-version="[2.0.0,3.0.0)";visibility:=reexport
diff --git a/plugins/infra/newchild/org.eclipse.papyrus.infra.newchild/.settings/.api_filters b/plugins/infra/newchild/org.eclipse.papyrus.infra.newchild/.settings/.api_filters
new file mode 100644
index 00000000000..89c4c3582cb
--- /dev/null
+++ b/plugins/infra/newchild/org.eclipse.papyrus.infra.newchild/.settings/.api_filters
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<component id="org.eclipse.papyrus.infra.newchild" version="2">
+ <resource path="META-INF/MANIFEST.MF">
+ <filter comment="Papyrus policy requires minor version increment for genmodel changes." id="926941240">
+ <message_arguments>
+ <message_argument value="4.1.0"/>
+ <message_argument value="4.0.0"/>
+ </message_arguments>
+ </filter>
+ </resource>
+</component>
diff --git a/plugins/infra/newchild/org.eclipse.papyrus.infra.newchild/META-INF/MANIFEST.MF b/plugins/infra/newchild/org.eclipse.papyrus.infra.newchild/META-INF/MANIFEST.MF
index 9bd88f55153..d204f72cb5d 100644
--- a/plugins/infra/newchild/org.eclipse.papyrus.infra.newchild/META-INF/MANIFEST.MF
+++ b/plugins/infra/newchild/org.eclipse.papyrus.infra.newchild/META-INF/MANIFEST.MF
@@ -21,7 +21,7 @@ Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.12.0,4.0.0)",
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .
-Bundle-Version: 4.0.100.qualifier
+Bundle-Version: 4.1.0.qualifier
Bundle-Localization: plugin
Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
diff --git a/plugins/infra/newchild/org.eclipse.papyrus.infra.newchild/pom.xml b/plugins/infra/newchild/org.eclipse.papyrus.infra.newchild/pom.xml
index defb0b531f7..dd3f627f9be 100644
--- a/plugins/infra/newchild/org.eclipse.papyrus.infra.newchild/pom.xml
+++ b/plugins/infra/newchild/org.eclipse.papyrus.infra.newchild/pom.xml
@@ -7,6 +7,6 @@
<version>0.0.1-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.papyrus.infra.newchild</artifactId>
- <version>4.0.100-SNAPSHOT</version>
+ <version>4.1.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file

Back to the top